package com.zanxiang.game.back.base.rpc;

import com.zanxiang.game.back.base.pojo.dto.TencentOrderRpcDTO;
import com.zanxiang.game.back.base.pojo.dto.TencentRoleRegisterRpcDTO;
import com.zanxiang.game.back.base.pojo.dto.TencentUserRpcDTO;
import com.zanxiang.module.util.pojo.ResultVO;

/**
 * 腾讯小游戏回传（文档中的方案 B）
 * 文档地址：https://docs.qq.com/doc/DRkpGUU5jSFVxQVFN
 */
public interface ITencentMiniGameBackRpc {
    /**
     * 订单回传
     */
    ResultVO<Boolean> backOrder(TencentOrderRpcDTO dto);

    /**
     * 用户回传
     */
    ResultVO<Boolean> backUser(TencentUserRpcDTO dto);

    /**
     * 用户回传
     */
    ResultVO<Boolean> backRoleRegister(TencentRoleRegisterRpcDTO dto);
}
